%global         gitversion      01

Name:           tupi
Version:        0.2
Release:        git%{gitversion}.1%{?dist}
Summary:        2D vector-based animation environment

License:        GPLv3+
URL:            http://www.maefloresta.com/portal/
# To download: add /download at the end
Source0:        http://sourceforge.net/projects/%{name}.berlios/files/%{name}_%{version}-git%{gitversion}.tar.gz
Patch0:         %{name}-use_system_quazip.patch

BuildRequires:  desktop-file-utils
BuildRequires:  quazip-devel
BuildRequires:  qconf
BuildRequires:  libogg-devel
BuildRequires:  ruby
BuildRequires:  aspell-devel
BuildRequires:  zlib-devel
BuildRequires:  qt-devel >= 0.4
BuildRequires:  libtheora-devel
Requires:       quazip

%description
2D vector-based animation environment for digital artists

%prep
%setup -q -n %{name}_%{version}-git%{gitversion}
%patch0 -p0

%build
%global     _prefix        %{buildroot}/usr
%configure
%global     _prefix         /usr
sed -i 's/-lpthread/-lpthread -lquazip/' src/libtupi/Makefile
rm -rf 3rdparty/quazip
echo "install: " >3rdparty/Makefile
echo "uninstall: " >>3rdparty/Makefile
echo "first: " >>3rdparty/Makefile
echo "all: " >>3rdparty/Makefile
echo "clean: " >>3rdparty/Makefile
echo "distclean: " >>3rdparty/Makefile
make #%{?_smp_mflags}


%install
%make_install
cd %{buildroot}/usr/include
rm -rf quazip
cd %{buildroot}%{_libdir}
mkdir tupi
mv plugins/ *.so* tupi
cd %{buildroot}%{_datadir}
mkdir tupi
mv applications/ data/ man/ pixmaps/ themes/ tupi
cd %{buildroot}/usr/bin
sed -i 's|"/usr/share"|"/usr/share/tupi"|' tupi
sed -i 's|%{_libdir}|%{_libdir}/tupi|' tupi
cd %{buildroot}/usr/share/tupi/data/help/css
sed -i 's|/usr/share/data|/usr/share/tupi/data|' tupi.css
cd %{_builddir}/%{name}_%{version}-git%{gitversion}
mkdir -p %{buildroot}%{_datadir}/applications
sed -i 's|tupi.png|%{_datadir}/%{name}/pixmaps/tupi.png|' launcher/tupi.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications launcher/tupi.desktop
cd %{buildroot}
sed -i 's|%{buildroot}||' `find -type f`

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%doc Changelog README TODO TODO.NET KNOWN_BUGS COPYING
%{_bindir}/tupi
%{_bindir}/tupi.bin
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_includedir}/plugincommon
%{_includedir}/%{name}
%{_includedir}/%{name}base
%{_includedir}/%{name}core
%{_includedir}/%{name}gui
%{_includedir}/%{name}net
%{_includedir}/%{name}sound
%{_includedir}/%{name}store
%{_datadir}/applications/tupi.desktop

%changelog
* Thu Jan 31 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.2-git01.1
- First packaging effort

